Last updated: October 24, 2026
Validate OTP
Validate the OTP or token for a challenge.
Request
POST
https://test.miniorange.in/moas/api/auth/validateAuthentication headers (required on every request)
- Customer-Key
- Integer — your account customer key
- Timestamp
- Milliseconds since epoch (e.g. Date.now())
- Authorization
- SHA-512 of customerKey + timestamp + apiKey
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| customerKey | String | Required | Your customer key |
| username | String | Required | Enrolled user email |
| txId | String | Optional | Transaction ID from Challenge (not needed for Soft Token / Google Authenticator) |
| token | String | Required | OTP or authenticator code |
| authType | String | Optional | SOFT TOKEN, GOOGLE AUTHENTICATOR, HARDWARE TOKEN, SMS, EMAIL |
Request body
{
"customerKey": "12345",
"username": "alex@example.com",
"token": "123456",
"authType": "SOFT TOKEN"
}
No sample response is documented for this endpoint yet. Use Try it on the right to see the live response from your tenant.